/*
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <fb303/detail/QuantileStatMap.h>

DEFINE_bool(
    fb303_qstat_legacy_use_count_for_rate,
    false,
    "If true use count of the samples over a time window to compute rate. "
    " Else default to the better behavior of using sum");

namespace facebook {
namespace fb303 {
namespace detail {

template class BasicQuantileStatMap<std::chrono::steady_clock>;

} // namespace detail
} // namespace fb303
} // namespace facebook
